> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.scrapybara.com/api-reference/instance/edit/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.scrapybara.com/_mcp/server. # Run edit actions POST https://api.scrapybara.com/v1/instance/{instance_id}/edit Content-Type: application/json Reference: https://docs.scrapybara.com/api-reference/instance/edit ## Authentication - `x-api-key` header (required) — API Key authentication via header ## Request ### Path parameters - `instance_id` (string, required) ### Body (application/json) This endpoint expects an object. - `command` (enum, required) - Allowed values: `view`, `create`, `str_replace`, `insert`, `undo_edit` - `path` (string, required) - `file_text` (string, optional) - `view_range` (list of integer, optional) - `old_str` (string, optional) - `new_str` (string, optional) - `insert_line` (integer, optional) ## Response ### 200 Successful Response - `output` (string, optional) - `error` (string, optional) - `base64_image` (string, optional) - `system` (string, optional) ## Errors ### 422 Instance Edit Request Unprocessable Entity Error Validation Error - `detail` (list of ValidationError, optional) ## Types ### ValidationError - `loc` (list of ValidationErrorLocItem, required) - `msg` (string, required) - `type` (string, required) ### ValidationErrorLocItem ## Examples **Request** ```json { "command": "view", "path": "path" } ``` **Response** ```json { "output": "output", "error": "error", "base64_image": "base64_image", "system": "system" } ``` **SDK Code** ```python import requests url = "https://api.scrapybara.com/v1/instance/instance_id/edit" payload = { "command": "view", "path": "path" } headers = { "x-api-key": "", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.scrapybara.com/v1/instance/instance_id/edit'; const options = { method: 'POST', headers: {'x-api-key': '', 'Content-Type': 'application/json'}, body: '{"command":"view","path":"path"}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.scrapybara.com/v1/instance/instance_id/edit" payload := strings.NewReader("{\n \"command\": \"view\",\n \"path\": \"path\"\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("x-api-key", "") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.scrapybara.com/v1/instance/instance_id/edit") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["x-api-key"] = '' request["Content-Type"] = 'application/json' request.body = "{\n \"command\": \"view\",\n \"path\": \"path\"\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.scrapybara.com/v1/instance/instance_id/edit") .header("x-api-key", "") .header("Content-Type", "application/json") .body("{\n \"command\": \"view\",\n \"path\": \"path\"\n}") .asString(); ``` ```php request('POST', 'https://api.scrapybara.com/v1/instance/instance_id/edit', [ 'body' => '{ "command": "view", "path": "path" }', 'headers' => [ 'Content-Type' => 'application/json', 'x-api-key' => '', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.scrapybara.com/v1/instance/instance_id/edit"); var request = new RestRequest(Method.POST); request.AddHeader("x-api-key", ""); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"command\": \"view\",\n \"path\": \"path\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "x-api-key": "", "Content-Type": "application/json" ] let parameters = [ "command": "view", "path": "path" ] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.scrapybara.com/v1/instance/instance_id/edit")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```